@echo off
setlocal

rem			Minimalna warto m/z (-1 -> minimalna warto w widmie)
set MZMIN=-1
rem			Maksymalna warto m/z (-1 -> maksymalna warto w widmie)
set MZMAX=-1
rem			Szeroko przedziau m/z
set MZSTEP=0.005
rem			sigma filtru Gaussowskiego w kierunku m/z
set MZ_FILTER=0

rem			Minimalny czas retencji (-1 -> pocztek przebiegu)
set RTMIN=-1
rem			Maksymalny czas retencji (-1 -> koniec przebiegu)
set RTMAX=-1
rem			Liczba sumowanych skanw
set RTSTEP=10
rem			Liczba sumowanych skanw (w sekundach)
set RTSTEP_SEC=10.0
rem			sigma filtru Gaussowskiego w kierunku RT
set RT_FILTER=1.0

rem			minimalna wysoko uwzgldnianych pikw 
set THRESHOLD=0.0

rem			wielko bloku w pliku UCSF
set UCSF_BLOCK=262144
rem			skala czasu pliku UCSF w sekundach
set UCSF_SEC=0

rem			1 -> wczenie obsugi wieloprocesorowoci
set MP=1
rem			1 -> wyswietlanie komunikatow
set VERBOSE=1
rem			1 -> zapis TIC
set TIC=0

rem #######################################################################################

if %VERBOSE%==1 (
	set VERBOSE=--verbose
) else (
	set VERBOSE=
)

if %TIC%==1 (
	set TIC=--tic
) else (
	set TIC=
)

if %MP%==1 (
	set MP=--mp
) else (
	set MP=
)

if %UCSF_SEC%==1 (
	set UCSF_SEC=--ucsfsec
) else (
	set UCSF_SEC=
)

for %%f in (%*) do (
	if /i "%%~xf"==".raw" (
		echo Processing file: %%f

		echo  Thermo RAW to UCSF conversion...
		bin\msconvert --mzmin=%MZMIN% --mzmax=%MZMAX% --mzstep=%MZSTEP% --mzf=%MZ_FILTER% --rtmin=%RTMIN% --rtmax=%RTMAX% --rtstep=%RTSTEP% --rtsstep=%RTSTEP_SEC% --rtf=%RT_FILTER% --ucsfbs=%UCSF_BLOCK% %UCSF_SEC% %MP% %VERBOSE% %TIC% "%%f"
		
		if not exist "%%~df%%~pf%%~nf.ucsf" (
			echo  Error in Thermo RAW to UCSF conversion!!!
		)
	)
)

endlocal